org.bdgenomics.adam.sql

# Variant

###
Related Docs: object Variant | package sql

#### case class Variant(contigName: Option[String] = None, start: Option[Long] = None, end: Option[Long] = None, names: Seq[String] = Seq(), splitFromMultiAllelic: Option[Boolean] = None, referenceAllele: Option[String] = None, alternateAllele: Option[String] = None, quality: Option[Double] = None, filtersApplied: Option[Boolean] = None, filtersPassed: Option[Boolean] = None, filtersFailed: Seq[String] = Seq(), annotation: Option[VariantAnnotation] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Variant
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Variant(contigName: Option[String] = None, start: Option[Long] = None, end: Option[Long] = None, names: Seq[String] = Seq(), splitFromMultiAllelic: Option[Boolean] = None, referenceAllele: Option[String] = None, alternateAllele: Option[String] = None, quality: Option[Double] = None, filtersApplied: Option[Boolean] = None, filtersPassed: Option[Boolean] = None, filtersFailed: Seq[String] = Seq(), annotation: Option[VariantAnnotation] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val alternateAllele: Option[String]

5. #### val annotation: Option[VariantAnnotation]

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def canEqual(that: Any): Boolean

   Definition Classes
     Variant → Equals

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val contigName: Option[String]

10. #### val end: Option[Long]

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### val filtersApplied: Option[Boolean]

13. #### val filtersFailed: Seq[String]

14. #### val filtersPassed: Option[Boolean]

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### val names: Seq[String]

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def productArity: Int

    Definition Classes
      Variant → Product

23. #### def productElement(i: Int): Any

    Definition Classes
      Variant → Product

24. #### val quality: Option[Double]

25. #### val referenceAllele: Option[String]

26. #### val splitFromMultiAllelic: Option[Boolean]

27. #### val start: Option[Long]

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toAvro: formats.avro.Variant

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped